package org.jk.rag.domain.entity;

import java.util.List;

public class JkKnowledgeInfo {

    private String slice_config_type;

    private String recall_method;

    private Integer rerank_status;

    private Integer slice_count;

    private String rerank_model_name;

    private Integer embedding_recall_ratio;

    private Boolean show_recall_result;

    private List<JkIndexType> rerank_index_type_list;

    private List<JkIndexType> recall_index_type_list;

    private String recall_slice_splicing_method;

    public String getSlice_config_type() {
        return slice_config_type;
    }

    public void setSlice_config_type(String slice_config_type) {
        this.slice_config_type = slice_config_type;
    }

    public String getRecall_method() {
        return recall_method;
    }

    public void setRecall_method(String recall_method) {
        this.recall_method = recall_method;
    }

    public Integer getRerank_status() {
        return rerank_status;
    }

    public void setRerank_status(Integer rerank_status) {
        this.rerank_status = rerank_status;
    }

    public Integer getSlice_count() {
        return slice_count;
    }

    public void setSlice_count(Integer slice_count) {
        this.slice_count = slice_count;
    }

    public String getRerank_model_name() {
        return rerank_model_name;
    }

    public void setRerank_model_name(String rerank_model_name) {
        this.rerank_model_name = rerank_model_name;
    }

    public Integer getEmbedding_recall_ratio() {
        return embedding_recall_ratio;
    }

    public void setEmbedding_recall_ratio(Integer embedding_recall_ratio) {
        this.embedding_recall_ratio = embedding_recall_ratio;
    }

    public Boolean getShow_recall_result() {
        return show_recall_result;
    }

    public void setShow_recall_result(Boolean show_recall_result) {
        this.show_recall_result = show_recall_result;
    }

    public List<JkIndexType> getRerank_index_type_list() {
        return rerank_index_type_list;
    }

    public void setRerank_index_type_list(List<JkIndexType> rerank_index_type_list) {
        this.rerank_index_type_list = rerank_index_type_list;
    }

    public List<JkIndexType> getRecall_index_type_list() {
        return recall_index_type_list;
    }

    public void setRecall_index_type_list(List<JkIndexType> recall_index_type_list) {
        this.recall_index_type_list = recall_index_type_list;
    }

    public String getRecall_slice_splicing_method() {
        return recall_slice_splicing_method;
    }

    public void setRecall_slice_splicing_method(String recall_slice_splicing_method) {
        this.recall_slice_splicing_method = recall_slice_splicing_method;
    }
}
